<script type="text/javascript" src="{$resources}bootstrap/javascript/cropit.min.js"></script>
<div class="modal fade" id="create-edit-module-modal" role="dialog">
  <div class="modal-dialog">

    <div class="modal-content">
      <div class="modal-header">
        <h2>Neues Modul erstellen</h2>
        <button type="button" class="close" data-dismiss="modal" data-toggle="tooltip" title="Schließen">&times;</button>
      </div>
      <div class="modal-body">
        <form id="create-edit-module-form" class="row" action="" method="POST" enctype="multipart/form-data" novalidate>
          <div class="col-12 col-md-8 form-group">
            <label for="name">Modulname: <span class="info-icon" data-toggle="tooltip" title="Der Name, welcher verwendet wird, um dein Modul auf der Webseite anzuzeigen."></span></label>
            <input id="name" type="text" class="form-control" name="name" required minlength="4" maxlength="40" data-parsley-required-message="Bitte gib hier einen Namen für dein Modul an."/>
          </div>
          <div class="col-12 col-md-4  form-group">
            <label for="visibility">Sichtbarkeit: <span class="info-icon" data-toggle="tooltip" title="Entscheidet, ob dein Modul öffentlich sichtbar ist, oder nicht. Wenn du 'privat' auswählst, ist das Modul lediglich für dich selbst sichtbar."></span></label>
            <div id="visibility" class="btn-group btn-group-toggle" data-toggle="buttons">
              <label class="btn btn-secondary active">
                <input type="radio" name="public" autocomplete="off" checked>öffentlich
              </label>
              <label class="btn btn-secondary">
                <input type="radio" name="private" autocomplete="off">privat
              </label>
            </div>
          </div>
          <div class="col-6">
            <div class="form-group">
              <label for="url">URL: <span class="info-icon" data-toggle="tooltip" title="Die URL, über welche dein Modul erreichbar sein wird."></label>
              <input id="url-pre" type="text" class="form-control" value="www.toybox.de/module/" readonly>
              <input id="url" type="text" class="form-control" name="url" required minlength="3" maxlength="20" data-parsley-required-message="Bitte gib hier die URL an, unter der dein Modul erreichbar sein soll."/>
            </div>
            <div class="form-group">
              <label for="code">Code: <span class="info-icon" data-toggle="tooltip" title="Der Code legt fest, wie dein Modul, intern in der Anwendung repräsentiert wird. Dieser sollte möglichst kurz und prägnant sein."></label>
              <input id="code" type="text" class="form-control" name="code" required minlength="3" maxlength="20" data-parsley-required-message="Bitte gib einen Code an."/>
            </div>
          </div>
          <div class="col-6 form-group">
            <label for="thumbnail">Thumbnail: <span class="info-icon" data-toggle="tooltip" title="Das Thumbnail wird zum Beispiel auf der Modulübersichtsseite, als Vorschaubild angezeigt."></label>
            <div id="image-cropper">
              <div id="test">
                <div class="cropit-preview"></div>
              </div>
              <input type="range" class="cropit-image-zoom-input" />
              <input id="thumbnail" type="file" class="cropit-image-input" />
            </div>
            <input id="exported-thumbnail" type="hidden" name="thumbnail" value="">
          </div>
          <div class="col-12 form-group">
            <label for="description">Beschreibung: <span class="info-icon" data-toggle="tooltip" title="Hier hast du Platz, um dein Modul zu beschreiben und der Menschheit da draußen mitzuteilen, woran du gearbeitet hast."></label>
            <textarea id="description" class="form-control" name="description" minlength="10" maxlength="5000"></textarea>
          </div>
          <div class="col-12 form-group">
            <label for="short-description">Kurzbeschreibung: <span class="info-icon" data-toggle="tooltip" title="Eine kurze, prägnante Version deiner Beschreibung. Sie wird zum Beispiel auf der Modulübersichtsseite angezeigt und sollte daher kurz die wichtigsten Informationen geben."></label>
            <span class="char-count">Zeichen: <span class="count">0</span>/400</span>
            <textarea id="short-description" class="form-control" name="short-description" minlength="10" maxlength="400"></textarea>
          </div>
          <div class="col-12">
            <button type="submit" class="btn">Erstellen</button>
          </div>
        </form>
      </div>
    </div>

  </div>
</div>